unit CR.Dialogs;

interface

type
  TMessageDlg = class

  public
    class function Confirm(const AQuestion: string): Boolean;
    class procedure Error(const AErrorMsg: string);
  end;

implementation

uses
  CR.Messaging;

class function TMessageDlg.Confirm(const AQuestion: string): Boolean;
begin
  Result := TDlgMessageConfirm.SendMessage(nil, AQuestion);
end;

class procedure TMessageDlg.Error(const AErrorMsg: string);
begin
  TDlgMessageError.SendMessage(nil, AErrorMsg);
end;

end.
